A WhatsApp step's templates, reach, estimated cost and preview
POST
/api/v1/workspaces/{workspace}/whatsapp/step-estimate
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/whatsapp/step-estimate"
payload := strings.NewReader("{ \"consentListId\": \"example\", \"fallbackTemplate\": \"example\", \"language\": \"example\", \"mode\": \"template\", \"template\": \"example\", \"variables\": [ { \"fallback\": \"example\", \"field\": \"example\", \"key\": \"example\", \"source\": \"field\", \"text\": \"example\" } ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/whatsapp/step-estimate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"consentListId":"example","fallbackTemplate":"example","language":"example","mode":"template","template":"example","variables":[{"fallback":"example","field":"example","key":"example","source":"field","text":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/whatsapp/step-estimate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "consentListId": "example", "fallbackTemplate": "example", "language": "example", "mode": "template", "template": "example", "variables": [ { "fallback": "example", "field": "example", "key": "example", "source": "field", "text": "example" } ] }'Permission: automations:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
consentListId
string
fallbackTemplate
string
language
string
mode
string
template
string
variables
Array<object>
object
fallback
string
field
string
key
required
string
source
required
string
text
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
business
object
displayName
required
string
number
required
string
connected
required
boolean
consent
required
integer format: int64
cost
required
object
amount
required
number format: double
byCountry
required
Array<object>
object
amount
required
number format: double
country
required
string
messages
required
integer format: int64
price
required
number format: double
category
required
string
messages
required
integer format: int64
ratesAsOf
required
string format: date-time
fields
required
Array<object>
object
key
required
string
label
required
string
open
required
integer format: int64
preview
object
buttons
required
Array<object>
object
text
required
string
type
required
string
url
string
contact
required
string
contactId
string
fallbacks
required
Array<object>
object
fallback
required
string
field
required
string
key
required
string
firstName
string
text
required
string
quiet
required
boolean
templates
required
Array<object>
object
body
required
string
buttons
required
Array<object>
object
text
required
string
type
required
string
url
string
category
required
string
id
required
string
language
required
string
languageLabel
required
string
name
required
string
reason
string
reasonCode
string
status
required
string
statusSince
string format: date-time
syncedAt
required
string format: date-time
variables
required
Array<object>
object
example
string
key
required
string
label
required
string
window
required
string
windowExample
object
name
required
string
until
required
string format: date-time
Example
{ "preview": { "buttons": [ { "type": "quick_reply" } ] }, "templates": [ { "buttons": [ { "type": "quick_reply" } ], "category": "marketing", "status": "approved" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}